package main;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.security.InvalidParameterException;

import fileFormats.Converter;
import fileFormats.HtmlConverter;
import fileFormats.XmlConverter;

public class Main {

	public static void main(String[] args)
	{
		Converter conv=null;
		FileInputStream input=null;
		FileInputStream input2=null;
		FileOutputStream output=null;
		File temp=null;
		
		File inFolder=new File("input");
		for(String s :inFolder.list())
		{
			try
			{
				boolean repair=false;
				if(!new File("input//"+s).isFile())
					continue;
				
				if(s.endsWith(".xml"))
					conv=new XmlConverter();
				else if(s.endsWith(".html"))
					conv=new HtmlConverter();

				if(conv==null)
					continue;
				
				if(new File("output//"+s).isFile())
				{
					repair=true;
					if(!conv.SupportRepair())
						continue;
					
					temp=new File("aionconverter.temp");
					
					input2=new FileInputStream("output//"+s);
					byte[] tempdata=new byte[input2.available()];
					input2.read(tempdata);
					input2.close();
					FileOutputStream tempOut=new FileOutputStream(temp);
					tempOut.write(tempdata);
					tempOut.flush();
					tempOut.close();
					
					input=new FileInputStream("input//"+s);
					input2=new FileInputStream(temp);
					output=new FileOutputStream("output//"+s);
				}
				else
				{
					input=new FileInputStream("input//"+s);
					output=new FileOutputStream("output//"+s);
				}
				
				if(repair)
					conv.Repair(input, input2, output);
				else
					conv.Read(input, output);
				
				if(temp!=null)
					temp.delete();
			}
			catch(IOException ie)
			{ie.printStackTrace();}
			catch(InvalidParameterException ipe)
			{ipe.printStackTrace();}
			
			conv=null;
		}
	}
	
}
